Skip to main content
Doc Gen templates are used as input to generate documents.

Box Doc Gen tags

A list of Box Doc Gen tags.
PropertyTypeRequiredDescription
limitintegerNoThe limit that was used for these entries. This will be the same as the limit query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API.
next_markerstringNoThe marker for the start of the next page of results. Can be null.
prev_markerstringNoThe marker for the start of the previous page of results. Can be null.
entriesarray of Box Doc Gen template tagNoList of tags.
Example
{
  "limit": 1000,
  "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
  "prev_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih",
  "entries": [
    {
      "tag_content": "{{item.name}}",
      "tag_type": "text",
      "json_paths": [
        "products",
        "products.name"
      ]
    }
  ]
}

Box Doc Gen tags processing message

A message informing the user that document tags are still being processed.
PropertyTypeRequiredDescription
messagestringYesA message informing the user that document tags are still being processed. Read-only.
Example
{
  "message": "Processing tags for this file."
}

Box Doc Gen template

A Box Doc Gen template object.
PropertyTypeRequiredDescription
fileFile referenceNoEnable the file to generate a document from.
file_namestringNoThe name of the template. Can be null.
Example
{
  "file": {
    "type": "file",
    "id": "42037322"
  },
  "file_name": "Official contract"
}

Box Doc Gen template tag

A Box Doc Gen template tag object.
PropertyTypeRequiredDescription
tag_contentstringYesThe content of the tag. Read-only.
tag_typeenum<string>YesType of the tag. Available options: text, arithmetic, conditional, for-loop, table-loop, image. Read-only.
json_pathsarray of stringYesList of the paths. Read-only.
Example
{
  "tag_content": "{{item.name}}",
  "tag_type": "text",
  "json_paths": [
    "products",
    "products.name"
  ]
}

Box Doc Gen templates

List of Box Doc Gen templates.
PropertyTypeRequiredDescription
limitintegerNoThe limit that was used for these entries. This will be the same as the limit query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API.
next_markerstringNoThe marker for the start of the next page of results. Can be null.
prev_markerstringNoThe marker for the start of the previous page of results. Can be null.
entriesarray of Box Doc Gen templateNoA list of templates.
Example
{
  "limit": 1000,
  "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
  "prev_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih",
  "entries": [
    {
      "file": {
        "type": "file",
        "id": "42037322"
      },
      "file_name": "Official contract"
    }
  ]
}
Last modified on July 9, 2026